## ----include = FALSE----------------------------------------------------------
# Force limit to 2 cores for CRAN
Sys.setenv("R_PARALLELLY_AVAILABLE_CORES" = "2")
Sys.setenv("OMP_THREAD_LIMIT" = "2")
Sys.setenv("TF_NUM_INTRAOP_THREADS" = "1")
Sys.setenv("TF_NUM_INTEROP_THREADS" = "1")

knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>",
  echo = FALSE,
  out.width = "100%"
)


## ----sitrep, eval = FALSE, echo = TRUE----------------------------------------
# library(greta)
# greta_sitrep()

## ----run-greta, eval = FALSE, echo = TRUE-------------------------------------
# normal(0, 1)

## ----install_tensorflow, eval = FALSE, echo = TRUE----------------------------
# reticulate::install_miniconda()
# reticulate::conda_create(
#   envname = "greta-env-tf2",
#   python_version = "3.11"
# )
# reticulate::py_install(
#   packages = c(
#     "numpy",
#     "tensorflow==2.15.1",
#     "tensorflow-probability==0.23.0"
#   ),
#   envname = "greta-env-tf2",
#   pip = TRUE
# )

